# Class: Haml::EscapeAny

Inherits:
  Escape
  - Object
  - Temple::Filters::Escapable
  - Escape
  - Haml::EscapeAny
  show all

Defined in:
  lib/haml/escape_any.rb

## Overview

Unlike Haml::Escape, this calls to_s when not escaped.

## Instance Method Summary collapse

- #on_dynamic(value)

### Methods inherited from Escape

#initialize

## Constructor Details

This class inherits a constructor from Haml::Escape

## Instance Method Details

### #on_dynamic(value)

    17
    18
    19

    # File 'lib/haml/escape_any.rb', line 17

    def on_dynamic(value)
      [:dynamic, @escape ? @escape_code % value : "(#{value}).to_s"]
    end